import {get, post} from '../http'

const MODULE_NAME = "user/"

const user = {
  login(data) {
    return post(MODULE_NAME + "login", data)
  },
  sendOTP(data) {
    return get(MODULE_NAME + "otp", data)
  },
  preLogin(data) {
    return post(MODULE_NAME + "pre-login", data)
  },
  updatePassword(data) {
    return post(MODULE_NAME + "update-pwd", data)
  }
}

export default user;